CFLAGS = -g -DUSE_MOTIF

CC=cc
LIBS= -lbsd -lXm -lXt -lX11
WIDGETS=xgoMotif

OBJFILES = xgo.o xgoCB.o goGame.o xIFace.o xIFaceBoard.o strmisc.o socklink.o \
	xgoFile.o dialogAPI.o goScore.o $(WIDGETS).o 

FILES = $(OBJFILES) 

all: xmango

.c.o:
	@echo "$<->$@" 
	@$(CC) -c $(CFLAGS) $< -o $@

xmango: $(OBJFILES)
	@echo "all->$@"
	@$(CC) $(OBJFILES) $(LIBS) -o $@

include xmango.dep
