/* strmisc.h -- miscellaneous string manipulation functions */

/* xmango -- copyright 1994 Edward Grigassy
 * the code included in this package may be distributed, read, and copied
 * freely BUT NOT SOLD OR INCLUDED IN OTHER SOFTWARE, for commercial or
 * public/free use, without express written consent of the author.
 */

#if !defined(STRING_MISC_H)
#define STRING_MISC_H

int strGetGeometry(char *string, int *width, int *height);
char *strTrimEnd(char *str);
char *strTrimBeginning(char *str);
int strEmpty(char *str);
char *strReplace(char *str, char *match, char *repl);
char *strRemoveNonPrint(char *str);
void strPadEnd(char *str, int length);

#endif
