CFLAGS = -g # -I/lusr/include -I/p/include

CC=gcc
LIBS= -L/lusr/lib/X11 -lXaw -lXext -lXmu -lXt -lX11
WIDGETS=xgoAthena

OBJFILES = xgo.o xgoExpose.o xgoCB.o goGame.o strmisc.o socklink.o $(WIDGETS).o

FILES = $(OBJFILES) 

all: xgo

.c.o:
	@echo "$<->$@" 
	@$(CC) -c $(CFLAGS) $< -o $@

xgo: $(OBJFILES)
	@echo "all->$@"
	@$(CC) $(OBJFILES) $(LIBS) -o $@

goGame.o: goGame.h socklink.h
socklink.o: socklink.h
strmisc.o: strmisc.h
xgo.o: xgo.h goGame.h xpublic.h $(WIDGETS).h
xgoExpose.o: xgo.h goGame.h xpublic.h $(WIDGETS).h
xgoCB.o: xgo.h goGame.h xpublic.h $(WIDGETS).h
$(WIDGETS).o: xgo.h goGame.h xpublic.h $(WIDGETS).h 

