/* xIFaceP.h -- the private go interface description header file */

#if !defined(GO_INTERFACE_P_H)
#define GO_INTERFACE_P_H

#include "xIFace.h"
#include <X11/cursorfont.h>

#define ACTION_PLACE_STONE	0
#define ACTION_REMOVE_GROUP	1
#define ACTION_OPPONENT_TURN	2

struct _goInterface {
   /* X windows user interface fields */
   Widget area;
   Widget showTurn, showMe;
   Widget textArea, textEntry, removeButton;
   Cursor removeCursor;
   unsigned long grid, player1, player2, bright, light, dull, shadow;
   int nextAction;
   int colorsSet;
   int drawn;
   int boardHeight, boardWidth;
   int xsz, ysz, xoff, yoff;
};

#endif
