/* xgo.h -- header file for xgo, go x/motif/athena interface */

#if !defined(XGO_H)
#define XGO_H

#include "xpublic.h"
#include "xIFace.h"
#include "xgoCB.h"

#if defined(USE_MOTIF)
#include "xgoMotif.h"
#else
#include "xgoAthena.h"
#endif

#define TIMER_TICKS 	100

/* global variables */

extern Widget goTopLevel;
extern XtAppContext goContext;
extern Display *goDisplay;
extern Screen *goScreen;
extern Widget mainWidget;

#endif
