/* xgoCB.h -- callback header file */

#if !defined(GO_CB_H)
#define GO_CB_H

void exit_CB(Widget w, void *stuff, XtPointer x);
void XtDestroyWidget_CB(Widget w, Widget widget_to_destroy, XtPointer x);
void XtPopdown_CB(Widget w, Widget widget_to_popdown, XtPointer x);
void XtFree_CB(Widget w, XtPointer freeMe, XtPointer x);
void setWidthToParent_CB(Widget w, Widget use, XtPointer x);

#if defined(GO_INTERFACE_H)

void setPlayerBlackCB(Widget w, goGameInterface *ggi, XtPointer nothing);
void setPlayerWhiteCB(Widget w, goGameInterface *ggi, XtPointer nothing);
void setPlayerNoneCB(Widget w, goGameInterface *ggi, XtPointer nothing);
void playerPassCB(Widget w, goGameInterface *ggi, XtPointer nothing);
void goGameInterfaceDestroyCB(Widget w, goGameInterface *ggi,
			      XtPointer nothing);
void goGameInterfaceClearCB(Widget w, goGameInterface *ggi,
			    XtPointer nothing);
void goGameInterfaceSaveCB(Widget w, goGameInterface *ggi,
			   XtPointer nothing);
void goGameInterfaceLoadCB(Widget w, goGameInterface *ggi,
			   XtPointer nothing);
void goGameInterfaceScoreCB(Widget w, goGameInterface *ggi,
			    XtPointer nothing);
void ggiCalcTerritoryCB(Widget w, goGameInterface *ggi, XtPointer nothing);

#endif

#endif
