/* goMotif.h */

/* xmango -- copyright 1994 Edward Grigassy
 * the code included in this package may be distributed, read, and copied
 * freely BUT NOT SOLD OR INCLUDED IN OTHER SOFTWARE, for commercial or
 * public/free use, without express written consent of the author.
 */

#if !defined(GO_MOTIF_H)
#define GO_MOTIF_H

Widget pdm_add_pb(char *item_name, Widget parent, 
		  char *mnemonic, char *label,
		  XtCallbackProc ActCB, XtPointer ActCBData);
		  /* char *accel_text, char *accelerator, */
Widget pdm_add_sep(char *item_name, Widget parent);
Widget mb_create(char *mb_name, Widget parent);
Widget mb_add_menu(char *item_name, Widget parent_menu_bar,    
		   char *mnemonic, char *label,
		   Widget *button_widget);

Widget widget_to_shell(Widget w);
Widget menuBuild(Widget parent, goGameInterface *ggi);
Widget statusBuild(Widget parent, goGameInterface *ggi);
void setTurnLabel(goGameInterface *ggi);
void setMeLabel(goGameInterface *ggi);
Widget commentBuild(Widget parent, goGameInterface *ggi);
Widget boardAreaBuild(Widget parent, goGameInterface *ggi);
void commentAreaAppend(goGameInterface *ggi, char *str);
void echoTextCB(Widget text, goGameInterface *ggi, XtPointer nothing);

#endif
